INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(PC_SPRECTRUM_TOOLS sprectrum_tools)

FIND_PATH(
    SPRECTRUM_TOOLS_INCLUDE_DIRS
    NAMES sprectrum_tools/api.h
    HINTS $ENV{SPRECTRUM_TOOLS_DIR}/include
        ${PC_SPRECTRUM_TOOLS_INCLUDEDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/include
          /usr/local/include
          /usr/include
)

FIND_LIBRARY(
    SPRECTRUM_TOOLS_LIBRARIES
    NAMES gnuradio-sprectrum_tools
    HINTS $ENV{SPRECTRUM_TOOLS_DIR}/lib
        ${PC_SPRECTRUM_TOOLS_LIBDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/lib
          ${CMAKE_INSTALL_PREFIX}/lib64
          /usr/local/lib
          /usr/local/lib64
          /usr/lib
          /usr/lib64
)

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(SPRECTRUM_TOOLS DEFAULT_MSG SPRECTRUM_TOOLS_LIBRARIES SPRECTRUM_TOOLS_INCLUDE_DIRS)
MARK_AS_ADVANCED(SPRECTRUM_TOOLS_LIBRARIES SPRECTRUM_TOOLS_INCLUDE_DIRS)

